Skip to main content
Retrieve the details of a specific account by its unique account ID. The response includes the account’s display name and all wallets associated with the account across different chain types and custody configurations.
View the full API reference for getting an account or listing all accounts.

Usage

To get an account via REST API, make a GET request to:
https://api.privy.io/v1/accounts/{account_id}

Path parameters

account_id
string
required
The unique ID of the account to retrieve.

Response

The response will include the following fields:
id
string
The unique ID of the account.
display_name
string | null
An optional display name for the account.
wallets
array
The wallets belonging to this account. Each wallet contains:
  • id (string): The wallet ID
  • chain_type (‘ethereum’ | ‘solana’): The chain type of the wallet
  • address (string): The on-chain address of the wallet
  • custody (CustodyConfiguration | undefined): The custody configuration if the wallet is custodial
If custody is undefined, the wallet is non-custodial.The CustodyConfiguration type is defined as {provider: string; provider_user_id: string} where:
  • provider is the custody provider.
  • provider_user_id is the custody provider’s unique ID for the KYC’ed entity for the wallet.

Example

Request

curl --request GET https://api.privy.io/v1/accounts/<account-id> \
  -u "your-app-id:your-app-secret" \
  -H "privy-app-id: your-app-id"

Request

{
  "id": "<account-id>",
  "display_name": "<insert-display-name>",
  "wallets": [
    {
      "id": "<wallet-id>",
      "chain_type": "ethereum",
      "address": "0x4f3A1c8B2dE07f59Ca83b1eD6F42c9Ae5d03B7e"
    },
    {
      "id": "<wallet-id>",
      "chain_type": "ethereum",
      "address": "0x9bC2E4A0dF31856e7a4D9cB3F108e2Ac6b75d1E",
      "custody": {
        "provider": "bridge",
        "provider_user_id": "<insert-provider-user-id>"
      }
    },
    {
      "id": "<wallet-id>",
      "chain_type": "solana",
      "address": "7mXkPqR3nWvJhYzT5sLdAeG2cFbN9pUoViQwKtBxC4D"
    }
  ]
}